%global _basename Colloid
%global year 2024
%global month 11
%global day 16

Name:            colloid-gtk-theme

%global forgeurl https://github.com/vinceliuice/%{_basename}-gtk-theme
%global tag   %{year}-%{month}-%{day}
# %%global commit   8ebb9b1fb3827f8d78bb28217da918f10e874b30
%global date     %{year}%{month}%{day}
%forgemeta

Version:         %{year}.%{month}.%{day}
Release:         1%{?dist}
Summary:         Colloid gtk theme for linux
License:         GPL-3.0
URL:             %{forgeurl}
Source:          %{forgesource}

BuildArch:       noarch

BuildRequires:   sassc
BuildRequires:   gnome-shell

Requires:        gtk2-engines
Requires:        gtk-murrine-engine
Requires:        gnome-themes-extra

%description
%summary.

%files
%{_datadir}/themes/%{_basename}*
%exclude %{_datadir}/themes/%{_basename}-*-Nord*
%exclude %{_datadir}/themes/%{_basename}-*-Dracula*
%exclude %{_datadir}/themes/%{_basename}-*-Catppuccin*
%exclude %{_datadir}/themes/%{_basename}-*-Gruvbox*
%exclude %{_datadir}/themes/%{_basename}-*-Everforest*

#------------------------------------------------------------------

%package    nord
Summary:    Material Design theme for GNOME/GTK based desktop environments - nord variant

%description nord
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the nord variant.

%files      nord
%{_datadir}/themes/%{_basename}-*-Nord*

#------------------------------------------------------------------

%package    dracula
Summary:    Material Design theme for GNOME/GTK based desktop environments - dracula variant

%description dracula
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the dracula variant.

%files      dracula
%{_datadir}/themes/%{_basename}-*-Dracula*

#------------------------------------------------------------------

%package    catppuccin
Summary:    Material Design theme for GNOME/GTK based desktop environments - catppuccin variant

%description catppuccin
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the catppuccin variant.

%files      catppuccin
%{_datadir}/themes/%{_basename}-*-Catppuccin*

#------------------------------------------------------------------

%package    gruvbox
Summary:    Material Design theme for GNOME/GTK based desktop environments - gruvbox variant

%description gruvbox
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the gruvbox variant.

%files      gruvbox
%{_datadir}/themes/%{_basename}-*-Gruvbox*

#------------------------------------------------------------------

%package    everforest
Summary:    Material Design theme for GNOME/GTK based desktop environments - everforest variant

%description everforest
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the everforest variant.

%files      everforest
%{_datadir}/themes/%{_basename}-*-Everforest*


#------------------------------------------------------------------

%prep
%forgeautosetup -p1

# Don't call clean_theme function
sed -i 's/clean_theme && install_theme/install_theme/g' install.sh

%build
# ./build.sh

%install
mkdir -p %{buildroot}%{_datadir}/themes

./install.sh -t all -d %{buildroot}%{_datadir}/themes
./install.sh -t all -s compact -d %{buildroot}%{_datadir}/themes

./install.sh -t all -n %{_basename}-Black --tweaks black -d %{buildroot}%{_datadir}/themes
./install.sh -t all -n %{_basename}-Black --tweaks black -s compact -d %{buildroot}%{_datadir}/themes

./install.sh -t all --tweaks all -d %{buildroot}%{_datadir}/themes
./install.sh -t all -s compact --tweaks all -d %{buildroot}%{_datadir}/themes

./install.sh -t all -n %{_basename}-Black --tweaks all black -d %{buildroot}%{_datadir}/themes
./install.sh -t all -n %{_basename}-Black -s compact --tweaks all black -d %{buildroot}%{_datadir}/themes

# ./install.sh -t all --tweaks catppuccin -d %{buildroot}%{_datadir}/themes
# ./install.sh -t all -s compact --tweaks catppuccin -d %{buildroot}%{_datadir}/themes
#
# ./install.sh -t all --tweaks dracula -d %{buildroot}%{_datadir}/themes
# ./install.sh -t all -s compact --tweaks dracula -d %{buildroot}%{_datadir}/themes
#
# ./install.sh -t all --tweaks everforest -d %{buildroot}%{_datadir}/themes
# ./install.sh -t all -s compact --tweaks everforest -d %{buildroot}%{_datadir}/themes
#
# ./install.sh -t all --tweaks gruvbox -d %{buildroot}%{_datadir}/themes
# ./install.sh -t all -s compact --tweaks gruvbox -d %{buildroot}%{_datadir}/themes
#
# ./install.sh -t all --tweaks nord -d %{buildroot}%{_datadir}/themes
# ./install.sh -t all -s compact --tweaks nord -d %{buildroot}%{_datadir}/themes

#------------------------------------------------------------------

%changelog
* Wed Apr 23 2025 Hazel Bunny <hazel_bunny@disroot.org> 2024.11.16-1
- Update to 2024.11.16

* Sun Oct 20 2024 Hazel Bunny <hazel_bunny@disroot.org> 2024.09.02-2
- Fix package names

* Fri Oct 18 2024 Hazel Bunny <hazel_bunny@disroot.org> 2024.09.02-1
- Initial Package.
